<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script>
      $(document).ready(function () {
        "use strict";
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        $("#btn-submit-data").on("click", function () {
          onBtnSubmit();
        });
        $("#btn-clear-log").on("click", function () {
          onBtnClear();
        });
        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        function onBtnSubmit() {
          "use strict";
          console.log("Nút submit đã được nhấn");
          var vUserObj = {
            firstname: "",
            lastname: "",
            age: 0,
          };

          readData(vUserObj);
          var vIsCheck = valiDate(vUserObj);
          if (vIsCheck) {
            console.log(vUserObj);
            showUser(vUserObj);
          }
        }
        function onBtnClear() {
          "use strict";
          console.log("Nút clear đã được nhấn");
          $("#p-html-log").html(">");
        }
        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
        function readData(paramUser) {
          var vFirstName = $("#inp-first-name").val();
          var vLastName = $("#inp-last-name").val();
          var vAge = $("#inp-age").val();
          paramUser.firstname = vFirstName;
          paramUser.lastname = vLastName;
          paramUser.age = vAge;
        }
        function valiDate(paramUser) {
          if (paramUser.firstname === "") {
            alert("First name không được để trống");
            return false;
          }
          if (paramUser.lastname === "") {
            alert("Last name không được để trống");
            return false;
          }
          if (paramUser.age == 0) {
            alert("Age không được để trống");
            return false;
          }
          if (paramUser.age < 0 || paramUser.age > 100) {
            alert("Age phải là lớn 0 và nhỏ hơn 100");
            return false;
          }
          return true;
        }

        function showUser(paramUser) {
          $("#p-html-log").html("> Age " + paramUser.age + "</br>");
          $("#p-html-log").append(
            "> Firstname: " + paramUser.firstname + "</br>"
          );
          $("#p-html-log").append(
            "> Lastname: " + paramUser.lastname + "</br>"
          );
          $("#p-html-log").append(">");
        }
      });
    </script>
  </head>

  <body>
    <div class="container">
      <h2 style="text-align: center">Personal Data Submit Form</h2>

      <div class="jumbotron container">
        <div class="row form-group">
          <div class="col-sm-3">
            <label for="input-first-name">First Name</label>
          </div>
          <div class="col-sm-9">
            <input
              type="text"
              id="inp-first-name"
              name="firstname"
              placeholder="Your first name ..."
              class="form-control"
            />
          </div>
        </div>
        <div class="row form-group">
          <div class="col-sm-3">
            <label for="inp-last-name">Last Name</label>
          </div>
          <div class="col-sm-9">
            <input
              type="text"
              id="inp-last-name"
              name="lastname"
              placeholder="Your last name.."
              class="form-control"
            />
          </div>
        </div>
        <div class="row form-group">
          <div class="col-sm-3">
            <label for="age">Age</label>
          </div>
          <div class="col-sm-9">
            <input
              type="number"
              id="inp-age"
              name="age"
              placeholder="Your age ..."
              class="form-control"
            />
          </div>
        </div>
        <div class="row">
          <div class="col-sm-12" style="text-align: right">
            <button id="btn-submit-data" class="btn btn-info">
              Submit Data
            </button>
          </div>
        </div>
      </div>
      <!-- HTML Log -->
      <hr />
      <div style="text-align: right">
        <button id="btn-clear-log" class="btn btn-info">Clear HTML Log</button>
      </div>
      <p id="p-html-log"></p>
    </div>
  </body>
</html>

